Bug 349791 - Review Request: PySolFC-cardsets - Various cardsets for PySolFC
Review Request: PySolFC-cardsets - Various cardsets for PySolFC
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-23 21:16 EDT by Stewart Adam
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.1-3.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-05 10:06:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tibbs: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Stewart Adam 2007-10-23 21:16:57 EDT
Spec URL: http://www.diffingo.com/downloads/diffingo-repo/PySolFC-cardsets.spec
SRPM URL: http://www.diffingo.com/downloads/diffingo-repo/PySolFC-cardsets-1.1-1.fc8.src.rpm
Description: This package contains various cardsets for pysol
Comment 1 Jason Tibbitts 2007-10-24 01:11:05 EDT
Builds OK; rpmlint says:

PySolFC-cardsets.noarch: W: no-documentation
  No problem.

PySolFC-cardsets.noarch: E: script-without-shebang
PySolFC-cardsets.noarch: E: script-without-shebang
  These are executable for some reason, and probably shouldn't be.  They're the
  only two executable files in the package.

I think the URL: tag should be http://pysolfc.sourceforge.net/

You can get rid of the python_sitelib and debug_package defines at the top of
the spec.  I also don't see the reason for the build dependency on python-devel
when the only thing this package does is copy a directory.

There seems to be a directory ownership problem; nothing seems to own
/usr/share/PySolFC/data.  The base PySolFC package just puts the base cardsets
in /usr/share/PySolFC.

You probably want to change the Summary and %description to mention PySolFC
instead of pysol (and tack a period onto the end of %description while you're in

You can do that thing without using the dist tag if you like.
Comment 3 Jason Tibbitts 2007-10-24 22:19:33 EDT
I think you meant
(no ".fc8")

It occurs to me that the reason I couldn't download the source is because the
Source0: URL is incorrect.  I found that
http://downloads.sourceforge.net/pysolfc/PySolFC-Cardsets-1.1.tar.bz2 works fine.

I still don't get why python-devel is needed to build this; I built both with
and without it and the resulting package is the same.

Unfortunately, that package doesn't actually seem to do anything when I install
it.  Pysol shows the same cardsets whether this package is installed or not. 
However, I moved everything from /usr/share/PySolFC/data one directory up and
the cardsets were found.  However, there are some directories both in this
package and in the base PySolFC package that contain the same data:


I'm not sure there's any point in packaging them.

So I guess either PySolFC needs a patch to look in the "data" directory for
cardsets or this package needs to install into %{_datadir}/PySolFC

Oh, yeah, and %description lacks a trailing period.
Comment 4 Stewart Adam 2007-10-25 19:45:46 EDT
All fixed in release 3:
I double-checked the link this time ;)
Comment 5 Jason Tibbitts 2007-11-01 17:04:39 EDT
OK, back from vacation and caught up with life.  Now, to this review:

Looks much better; the issues I had are fixed.  rpmlint says only:
  PySolFC-cardsets.noarch: W: no-documentation
which is OK.

* source files match upstream:
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper (none).
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint has acceptable complaints.
* final provides and requires are sane:
   PySolFC-cardsets = 1.1-3
   PySolFC = 1.1
* Manual testing shows things to work fine.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* acceptable content.

Comment 6 Stewart Adam 2007-11-01 21:24:17 EDT
New Package CVS Request
Package Name: PySolFC-cardsets
Short Description: Various cardsets for PySolFC
Owners: firewing
Branches: F-7 F-8 FC-6
InitialCC: firewing
Cvsextras Commits: yes
Comment 7 Jason Tibbitts 2007-11-01 21:50:15 EDT
CVS done.
Comment 8 Fedora Update System 2007-11-05 10:06:28 EST
PySolFC-cardsets-1.1-3.2 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.